Subject: Re: bug#46773: 28.0.50; Different heights for toolbar

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 01 Mar 2021 13:39:39 +0100

Colin Baxter <[email-masked]> writes:

> Is this what's happening here? If you compile emacs-28 with tookit=lucid
> and separately with the default (tookit=gtk3) and compare the two emacs
> -q --geometry 83X37 you get different sizes. The gtk3 emacs is slightly
> taller than the lucid version. I attach a screen shot. On the right is
> lucid and on the left is gtk3. The tool bars are of slightly different
> height.

My problem was apparently me having set the scaling for the fonts only
in Gnome Shell, and not the "overall" scaling, which also scales icons.

What you're seeing is pretty normal, I think -- different toolkits will
result in (slightly) different Emacs window sizes. 

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no